Subject: Re: [PATCH net-next v2 0/8] ice: support dynamic interrupt allocation

From: Jakub Kicinski <[email-masked]>
Date: Wed, 22 Mar 2023 12:37:06 -0700

On Wed, 22 Mar 2023 17:25:22 +0100 Piotr Raczynski wrote:
> This patchset reimplements MSIX interrupt allocation logic to allow dynamic
> interrupt allocation after MSIX has been initially enabled. This allows
> current and future features to allocate and free interrupts as needed and
> will help to drastically decrease number of initially preallocated
> interrupts (even down to the API hard limit of 1). Although this patchset
> does not change behavior in terms of actual number of allocated interrupts
> during probe, it will be subject to change.

Have you seen the mlx5 patch set? I haven't read in detail but seems
like you're working on the same stuff so could be worth cross-checking
each other's work:

https://lore.kernel.org/all/[email-masked]/